# $Revision: 1.6 $, $Date: 2005/01/09 19:40:24 $
Summary:	Multithreaded FTP client for X Window System
Summary(pl):	Wielowtkowy klient FTP dla systemu X Window
Name:		ftpcube
Version:	0.4.3
Release:	5
License:	Artistic for code, GPL v2 for icons
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/ftpcube/%{name}-%{version}.tar.gz
# Source0-md5:	574d207377a24caf6315866d52326672
Source1:	%{name}.desktop
URL:		http://ftpcube.sourceforge.net/
BuildRequires:	python
%pyrequires_eq	python-libs
Requires:	python-wxPython
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FtpCube is a multi-platform, graphical FTP client written in Python,
using the wxPython graphical tookit. FtpCube's interface is based on
LeechFTP by Jan Debis but its codebase has been developed from scratch
and includes functionality that surpasses the original LeechFTP.

FtpCube aims to provide a high quality user interface, as well as a
rich feature set. The FtpCube project was born out of my search to
find a good, capable unix FTP client that offered an intuitive and
sexy UI. Plus, I liked the idea of having an FTP client written in
Python. So, voila FtpCube.

%description -l pl
FtpCube to wieloplatformowy, graficzny klient FTP napisany w Pythonie,
uywajcy biblioteki graficznej wxPython. Interfejs FtpCube jest
oparty na LeechFTP Jana Debisa, ale kod zosta stworzony od pocztku i
zawiera funkcjonalno przewyszajc orygina.

FtpCube ma zapewni wysokiej jakoci interfejs uytkownika, a take
bogaty zbir moliwoci. Projekt FtpCube narodzi si z poszukiwa
dobrego, uniksowego klienta FTP o duych moliwociach, oferujcego
intuicyjny i seksowny interfejs. Autorowi spodobaa si idea klienta
FTP napisanego w Pythonie. Tak wic, voila FtpCube.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--prefix=%{_prefix} \
	--install-scripts=%{_bindir} \
	--root=$RPM_BUILD_ROOT

install -D %{name}.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGELOG
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/libftpcube
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ftpcube.spec,v $
Revision 1.6  2005/01/09 19:40:24  saq
- fixed py* file placement, rel 5

Revision 1.5  2005/01/09 18:42:33  saq
- missing pyreqeq, rel 4

Revision 1.4  2004/09/28 23:10:23  paladine
- rel 3 for fixed desktop file

Revision 1.3  2003/10/15 20:09:26  qboosh
- pl, cleanups; standalone icons go to _pixmapsdir, not _iconsdir

Revision 1.2  2003/10/12 17:18:01  radek
- release 2: added .desktop and icon

Revision 1.1  2003/10/12 17:06:13  radek
- new
